## org.freedesktop.ModemManager1.Modem.CellBroadcast

org.freedesktop.ModemManager1.Modem.CellBroadcast — The ModemManager CellBroadcast service interface.

## Methods

    List        (OUT ao    result);
    Delete      (IN  o     path);
    SetChannels (IN  a(uu) channels);

## Signals

    Added   (o path);
    Deleted (o path);

## Properties

    CellBroadcasts  readable   ao
    Channels        readable   a(uu)

## Description

This interface allows clients to configure the details of CellBroadcast service information.

This interface will only be available once the modem is ready to be registered in the cellular network.

## Method Details

### The `List()` method

    List (OUT ao result);

Retrieve all cell broadcast messages.

This method should only be used once and subsequent information retrieved either by listening for the "Added" signal, or by querying the specific CBM object of interest.

Since: 1.24

`OUT ao `result``: | The list of CBM object paths.

### The `Delete()` method

    Delete (IN  o path);

Delete an cell broadcast message

Since: 1.24

`IN o `path``: | The object path of the CBM to delete.

### The `SetChannels()` method

    SetChannels (IN  a(uu) channels);

Set the list of channels to receive Cell Broadcasts for.

Since: 1.24

`IN a(uu) `channels``: | The list of channels

## Signal Details

### The "Added" signal

    Added (o path);

Emitted when any part of a new cell broadcast message has been received. Not all parts may have been received and the message may not be complete.

Check the 'State' property to determine if the message is complete.

Since: 1.24

`o `path``: | Object path of the new CBM.

### The "Deleted" signal

    Deleted (o path);

Emitted when a message has been deleted.

Since: 1.24

`o `path``: | Object path of the now deleted CBM.

## Property Details

### The "CellBroadcasts" property

    CellBroadcasts  readable   ao

The list of CBM object paths.

Since: 1.24

### The "Channels" property

    Channels  readable   a(uu)

The list of channels that cell broadcast messages are received for.

Since: 1.24